#!/bin/bash
# install lsdisk
PGMNAME=lsdisk
DIR="/usr/local/sbin/"
_usage() {
    cat <<EOF
          install / uninstall : $PGMNAME $option

	  +-----------------------------------+
	  | You must be "root" for doing this |
	  +-----------------------------------+
   $1

             Usage: install.sh <[options]>

             Options:	  -i or install
			  -u or uninstall

EOF
 exit 1
}
echo "installiere lsdisk von $PWD"
_install () {
[ -f ${DIR}${PGMNAME} ] && { echo ; echo ' >>>>      Old Version '${DIR}$($PGMNAME -v)' will be replaced      <<<<' ;}

cp ./$PGMNAME $DIR
chmod ugo+x ${DIR}${PGMNAME}
echo
[ -f ${DIR}${PGMNAME} ] && echo ' >>>>      New Version '${DIR}$($PGMNAME -v)'     <<<<' || echo ' >>>>      ERROR:  '$(which $PGMNAME)'  -  '$(${DIR}$PGMNAME -v)'     <<<<'
echo
exit
}

_uninstall () {
echo
[ -f ${DIR}${PGMNAME} ] && echo ' >>>>      uninstalliung: '$(which $PGMNAME)'  -  '$(${DIR}$PGMNAME -v)'      <<<<'
[ -f ${DIR}${PGMNAME} ] && rm  ${DIR}${PGMNAME}
which lsdisk 2>/dev/null && echo ' >>>>      ERROR:  '$(which $PGMNAME)'  -  '$(${DIR}$PGMNAME -v)'     <<<<'|| echo ' >>>>      not installed: '${DIR}${PGMNAME}
echo
exit
}

[ $(whoami) != root ] && _usage ">>>>   Hi $(whoami), you must be "root" for doing this   <<<<"
DIR="$(dirname $DIR/x)/"
[ $# = 0 ] && _install
  for option in "$@"
    do
      case "$option" in
	-h | help      | --help      ) _usage 		;;
	-i | install   | --install   ) _install 	;;
	-u | uninstall | --uninstall ) _uninstall	;;
	*                            ) _usage "            ¿¿¿¿    $@    ????"
      esac
    shift
  done

